Application: gvSIG desktop - gvSIG bugs #5747
Da error al guardar en el formulario de datos si hay una PK automatica y esta visible el campo
08/02/2023 07:38 PM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Database

Target version: 2.6.0-3328

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3325 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si tenemos una tabla con una clave primaria automatica y esta configurada para que se muestre en el formulario de datos, muestra
una caja de texto deshabilitada para ese campo no dejando introducir ningun valor en el y luego falla al guardar diciendo que es
obligatorio.

Associated revisions

Revision 47431 - 08/02/2023 08:31 PM - Joaquin del Cerro Murciano

refs #5747, Modificado el FeatureAttributeDescriptor para que cuando un campo sea automatico, indique que no es obligatorio y que es readonly.
Ademas en el JFeaturesForm se recarga el formulario al guardar o descargar la edicion.

History

#1 - 08/02/2023 08:35 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed
- Category set to Database

#2 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed
